Bug 1005388 - Encountering AVC error messages
Encountering AVC error messages
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: dogtag-pki (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthew Harmsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-06 15:31 EDT by Laxmi
Modified: 2015-02-17 12:06 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:06:06 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
AVC fail message log (6.18 KB, text/plain)
2013-09-06 15:31 EDT, Laxmi
no flags Details

  None (edit)
Description Laxmi 2013-09-06 15:31:41 EDT
Created attachment 794940 [details]
AVC fail message log

Description of problem:
Encountering AVC error messages at every subsytem installation of pki while running pki cli automation testing on a fedora19 beaker machine.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:



Additional info:
Comment 1 Daniel Walsh 2013-09-16 14:03:52 EDT
Looks like hsperfdata_root is  mislabeled.

The useradd call is just a leaked file descriptor.
Comment 2 Dominick Grift 2013-09-16 14:32:10 EDT
The hsperfdata_root directory gets created by java. I think its probably a good idea to create a special type for hsperfdata_root dirs in /tmp, and create an interface with a named file transition ( it has a fixed name so that should work ), Then that interface can be called from all domains that runs java.

Else you may end up with issues like these.

Some people might have various java apps running as root in different domains and they will all want to access that dir for some reason. By using a uniform type for it you avoid issues.
Comment 3 Dominick Grift 2013-09-16 14:42:52 EDT
Come to think about it , java should not be using predictable names in /tmp at all, but i guess she has her reasons for doing that
Comment 5 Fedora End Of Life 2015-01-09 14:45:33 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2015-02-17 12:06:06 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.